> For the complete documentation index, see [llms.txt](https://docs.veza.com/4yItIzMvkpAvMVFAamTf/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.veza.com/4yItIzMvkpAvMVFAamTf/developers/api/query-builder/results.md).

# Query Builder Results

Examples and descriptions for query builder responses

Depending on the request, query results can be returned as a collection of entities (nodes), a numeric value, or a timestamp.

Requesting a query [result](/4yItIzMvkpAvMVFAamTf/developers/api/query-builder/getassessmentqueryresult.md) will return the result value, which can be a total number of results, the node details, or a timestamp. To return a paginated list of node details instead, use [Get Query Nodes](/4yItIzMvkpAvMVFAamTf/developers/api/query-builder/getassessmentquerynodes.md).

#### Sample Response: Get Nodes

```json
{
    "nodes_value": [
      {
        "id": "00upa6s0hSGtl1eGL5d5",
        "type": "OktaUser",
        "properties": {
          "created_at": "2020-11-12T20:56:34Z",
          "email": "Abel_Maclead@org.onmicrosoft.com",
          "is_active": false,
          "login": "Abel_Maclead@org.onmicrosoft.com",
          "name": "Abel_Maclead@org.onmicrosoft.com",
          "status": "STAGED",
          "updated_at": "2020-11-12T20:56:34Z"
        },
        "destination_node_count": 0,
        "permissions": []
      }
    ]
}
```

#### Sample Response: Get Result

```json
{
  "result_type": "string",
  "number_value": "string",
  "timestamp_value": "string",
  "nodes_value": {
    "values": [
      {
        "id": "string",
        "type": "string",
        "properties": {},
        "destination_node_count": 0,
        "permissions": [
          "string"
        ]
      }
    ],
    "next_page_token": "string",
    "has_more": true
  }
}
```

| Field              | Type    | Description                                                                  |
| ------------------ | ------- | ---------------------------------------------------------------------------- |
| `result_type`      | string  | Indicates whether the query returns nodes details, node count, or timestamp. |
| `nodes_value`      | array   | Contains node details (see below)                                            |
| `number_value`     | string  | The count of nodes in the query results.                                     |
| `timestamp_value`  | string  | *Not currently supported*                                                    |
| `result_node_type` | string  | The type of nodes returned in the search results.                            |
| `next_page_token`  | string  | Pagination token                                                             |
| `has_more`         | boolean | Indicates if more results are available                                      |

**Node details**

The node `values` contain individual entity details, including any `properties` Veza has discovered such as `manager` or `date_created`:

```json
{
  "values": [
    {
      "id": "string",
      "type": "string",
      "properties": {},
      "destination_node_count": 0,
      "permissions": [
        "string"
      ]
    }
  ],
  "next_page_token": "string",
  "has_more": true
}
```

| Field                    | Type   | Description                                                     |
| ------------------------ | ------ | --------------------------------------------------------------- |
| `id`                     | string | The node's UUID in the Veza data catalog                        |
| `type`                   | string | The node type.                                                  |
| `properties`             | dict   | List of any entity properties, as key:value pairs               |
| `destination_node_count` | int    | For `DESTINATION_NODES` queries, the number of connected nodes. |
| `permissions`            | array  | The permissions a source node has to the destination resource.  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.veza.com/4yItIzMvkpAvMVFAamTf/developers/api/query-builder/results.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
